Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoVideoMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a video image.

Inheritance diagram for GoVideoMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
kSize | GoVideoMsg_CameraIndex (GoVideoMsg msg)
| Gets the camera index that the video data originates from. More...
kCfa | GoVideoMsg_Cfa (GoVideoMsg msg)
| Gets the image color filter array. More...
k32u | GoVideoMsg_Exposure (GoVideoMsg msg)
| Gets the exposure. More...
kSize | GoVideoMsg_ExposureIndex (GoVideoMsg msg)
| Gets the exposure index. More...
kSize | GoVideoMsg_Height (GoVideoMsg msg)
| Gets the image height, in pixels. More...
kBool | GoVideoMsg_IsFlippedX (GoVideoMsg msg)
| Indicates whether the video message data requires horizontal flipping to match up with profile data. More...
kBool | GoVideoMsg_IsFlippedY (GoVideoMsg msg)
| Indicates whether the video message data requires vertical flipping to match up with profile data. More...
kPixelFormat | GoVideoMsg_PixelFormat (GoVideoMsg msg)
| Gets the pixel format descriptor. More...
kSize | GoVideoMsg_PixelSize (GoVideoMsg msg)
| Gets the image pixel size, in bytes. More...
GoPixelType | GoVideoMsg_PixelType (GoVideoMsg msg)
| Gets the data type used to represent an image pixel. More...
void * | GoVideoMsg_RowAt (GoVideoMsg msg, kSize rowIndex)
| Gets a pointer to a row within the image. More...
GoDataSource | GoVideoMsg_Source (GoVideoMsg msg)
| Gets the video source. More...
kSize | GoVideoMsg_Width (GoVideoMsg msg)
| Gets the image width, in pixels. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h